#
# Copyright (c) 1991 The Regents of the University of California.
# All rights reserved.
#
# Redistribution and use in source and binary forms are permitted provided
# that: (1) source distributions retain this entire copyright notice and
# comment, and (2) distributions including binaries display the following
# acknowledgement:  ``This product includes software developed by the
# University of California, Berkeley and its contributors'' in the
# documentation or other materials provided with the distribution and in
# all advertising materials mentioning features or use of this software.
# Neither the name of the University nor the names of its contributors may
# be used to endorse or promote products derived from this software without
# specific prior written permission.
# THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
#	@(#)Makefile.generic	5.5 (Berkeley) 3/1/91
#

srcdir          = @srcdir@
VPATH           = @srcdir@

CC              = @CC@ 
SOCKS_FLAGS	= -DSOCKS
CDEBUG_FLAGS    = @CDEBUG_FLAGS@
CFLAGS		= -I${srcdir} -I../../../include -I${srcdir}/../../../include @CFLAGS@ @TELNET_DEFS@ $(CDEBUG_FLAGS) ${SOCKSFLAGS} 
RANLIB		= @RANLIB@
BINRM		= @BINRM@
AR		= ar 
ARFLAGS		= cruv
LIB		= libtelnet.a

.SUFFIXES: .c .o
.c.o:
	$(CC) ${CFLAGS} -c $(srcdir)/$*.c

SRCS =  auth.c encrypt.c misc.c forward.c kerberos.c kerberos5.c spx.c enc_des.c     \
	rsaencpwd.c krb4encpwd.c read_password.c mem.c herror.c genget.c getopt.c

OBJS =  auth.o encrypt.o misc.o forward.o kerberos.o kerberos5.o spx.o enc_des.o     \
	rsaencpwd.o krb4encpwd.o read_password.o mem.o herror.o genget.o getopt.o

TELNET_H = $(srcdir)/../arpa/telnet.h

all: Makefile ${LIB}

Makefile: $(srcdir)/Makefile.in ../../../config.status
	(cd ../../..; CONFIG_FILES=clients/telnet/libtelnet/Makefile CONFIG_HEADERS= ./config.status)

${LIB}: ${OBJS}
	$(BINRM) ${LIB}
	${AR} ${ARFLAGS} ${LIB} ${OBJS}
	${RANLIB} ${LIB}

clean:
	$(BINRM) *.o ${LIB}

distclean: clean
	$(BINRM) Makefile

auth.o: ${TELNET_H}
auth.o: encrypt.h
auth.o: auth.h
auth.o: auth.c
auth.o: misc-proto.h
encrypt.o: ${TELNET_H}
encrypt.o: encrypt.h
encrypt.o: encrypt.c
encrypt.o: misc.h
kerberos.o: ${TELNET_H}
kerberos.o: encrypt.h
kerberos.o: auth.h
kerberos.o: kerberos.c
kerberos.o: misc.h
kerberos5.o: ${TELNET_H}
kerberos5.o: encrypt.h
kerberos5.o: auth.h
kerberos5.o: kerberos5.c
kerberos5.o: misc.h
misc.o: misc.h
misc.o: misc.c
enc_des.o: ${TELNET_H}
enc_des.o: encrypt.h
enc_des.o: enc_des.c
enc_des.o: key-proto.h
enc_des.o: misc-proto.h
forward.o: forward.c
spx.o: spx.c
rsaencpwd.o: rsaencpwd.c
krb4encpwd.o: krb4encpwd.c
read_password.o: read_password.c
mem.o: mem.c
herror.o: herror.c
genget.o: genget.c
getopt.o: getopt.c
